package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "GetWorkflowLogRequest",
   propOrder = {"diServiceInfo", "folderName", "workflowName", "workflowRunId", "workflowRunInstanceName", "timeout"}
)
public class GetWorkflowLogRequest {
   @XmlElement(
      name = "DIServiceInfo",
      required = true,
      nillable = true
   )
   protected DIServiceInfo diServiceInfo;
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "WorkflowRunId",
      required = true,
      type = Integer.class,
      nillable = true
   )
   protected Integer workflowRunId;
   @XmlElement(
      name = "WorkflowRunInstanceName",
      required = true,
      nillable = true
   )
   protected String workflowRunInstanceName;
   @XmlElement(
      name = "Timeout"
   )
   protected int timeout;

   public DIServiceInfo getDIServiceInfo() {
      return this.diServiceInfo;
   }

   public void setDIServiceInfo(DIServiceInfo value) {
      this.diServiceInfo = value;
   }

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public Integer getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(Integer value) {
      this.workflowRunId = value;
   }

   public String getWorkflowRunInstanceName() {
      return this.workflowRunInstanceName;
   }

   public void setWorkflowRunInstanceName(String value) {
      this.workflowRunInstanceName = value;
   }

   public int getTimeout() {
      return this.timeout;
   }

   public void setTimeout(int value) {
      this.timeout = value;
   }
}
